package com.tzld.longarticle.recommend.server.repository.mapper.crawler;

import com.tzld.longarticle.recommend.server.model.remote.Article;
import com.tzld.longarticle.recommend.server.model.remote.ArticleSensitive;
import com.tzld.longarticle.recommend.server.service.recall.ContentCategory;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CrawlerBaseMapper {

    ArticleSensitive getArticleSensitiveByKey(@Param("md5") String md5);

    int insertArticleSensitive(@Param("md5") String md5,
                               @Param("title") String title,
                               @Param("sensitive") String sensitive,
                               @Param("label") String label,
                               @Param("subLabel") String subLabel,
                               @Param("response") String response);

    List<Article> getOfficialArticlesTitle(@Param("accountName") String accountName, @Param("indexList") List<Integer> indexList);

    List<ContentCategory> getContentCategory(@Param("channelContentIds") List<String> channelContentIds);
}
